@echo off

set ERROR_CODE=0

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal
if "%OS%"=="WINNT" @setlocal

@REM Find SBuild home dir
if NOT "%SBUILD_HOME%"=="" goto valSHome

if "%OS%"=="Windows_NT" SET "SBUILD_HOME=%~dp0.."
if "%OS%"=="WINNT" SET "SBUILD_HOME=%~dp0.."
if not "%SBUILD_HOME%"=="" goto valSHome

echo.
echo ERROR: SBUILD_HOME not found in your environment.
echo Please set the SBUILD_HOME variable in your environment to match the
echo location of the SBuild installation
echo.
goto error

:valSHome

:stripSHome
if not "_%SBUILD_HOME:~-1%"=="_\" goto checkSBat
set "SBUILD_HOME=%SBUILD_HOME:~0,-1%"
goto stripSHome

:checkSBat
if exist "%SBUILD_HOME%\bin\sbuild.bat" goto init

echo.
echo ERROR: SBUILD_HOME is set to an invalid directory.
echo SBUILD_HOME = %SBUILD_HOME%
echo Please set the SBUILD_HOME variable in your environment to match the
echo location of the SBuild installation
echo.
goto error

:init
@REM Decide how to startup depending on the version of windows
@REM -- Windows NT with Novell Login
if "%OS%"=="WINNT" goto WinNTNovell
@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

:WinNTNovell
@REM -- 4 NT shell
if "%@eval[2+2]"=="4" goto 4 NTArgs
@REM -- Regular WinNT shell
set SBUILD_CMD_LINE_ARGS=%*
goto endInit
@REM The 4 NT Shell from jp software

:4 NTArgs
set SBUILD_CMD_LINE_ARGS=%$
goto endInit

:Win9xArg
@REM Slurp the command line arguments . This loop allows for an unlimited number
@REM of agruments (up to the command line limit, anyway).
set SBUILD_CMD_LINE_ARGS=

:Win9xApp
if %1a == a goto endInit
set SBUILD_CMD_LINE_ARGS=%SBUILD_CMD_LINE_ARGS% %1%
shift
goto Win9xApp

@REM Reaching here means variables are defined and arguments have been captured
:endInit
SET SBUILD_JAVA_EXE=java.exe
if NOT "%JAVA_HOME%"=="" SET SBUILD_JAVA_EXE=%JAVA_HOME%\bin\java.exe

"%SBUILD_JAVA_EXE%" -XX:MaxPermSize=256m %SBUILD_JAVA_OPTIONS% -cp "%SBUILD_HOME%\lib\scala-library-2.10.4.jar;%SBUILD_HOME%\lib\de.tototec.cmdoption-0.3.2.jar;%SBUILD_HOME%\lib\jansi-1.11.jar;%SBUILD_HOME%\lib\de.tototec.sbuild-0.7.7.jar;%SBUILD_HOME%\lib\de.tototec.sbuild.runner-0.7.7.jar" de.tototec.sbuild.runner.SBuildRunner --sbuild-home "%SBUILD_HOME%" %SBUILD_CMD_LINE_ARGS%

goto end

:error
set ERROR_CODE=1

:end
if "%OS%"=="Windows_NT" @endlocal
if "%OS%"=="Windows_NT" goto :exit
if "%OS%"=="WINNT" @endlocal
if "%OS%"=="WINNT" goto :exit

set SBUILD_JAVA_EXE=
set SBUILD_CMD_LINE_ARGS=

:exit
cmd /C exit /B %ERROR_CODE%
